Bug 1477452 - Remove the parameter OVEHOSTED_STORAGE/imgSizeGB from file /usr/share/cockpit/ovirt-dashboard/gdeploy-templates/he-common.conf
Remove the parameter OVEHOSTED_STORAGE/imgSizeGB from file /usr/share/cockpi...
Status: CLOSED CURRENTRELEASE
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy (Show other bugs)
0.10.7-0.0.20
Unspecified Unspecified
high Severity high
: ovirt-4.1.5
: 0.10.7-0.0.23
Assigned To: Gobinda Das
RamaKasturi
:
Depends On:
Blocks: Gluster-HC-3 1480607
  Show dependency treegraph
 
Reported: 2017-08-02 02:45 EDT by RamaKasturi
Modified: 2017-08-23 04:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: cockpit-ovirt-0.10.7-0.0.23
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 04:02:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sabose: ovirt‑4.1?
knarra: planning_ack?
sabose: devel_ack+
knarra: testing_ack+


Attachments (Terms of Use)
screenshot for the size of appliance (72.76 KB, image/png)
2017-08-14 03:33 EDT, RamaKasturi
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 80392 master MERGED Removed OVEHOSTED_STORAGE/imgSizeGB entry from config file 2017-08-09 14:07 EDT
oVirt gerrit 80396 ovirt-4.1 MERGED Removed OVEHOSTED_STORAGE/imgSizeGB entry from config file 2017-08-09 14:07 EDT

  None (edit)
Description RamaKasturi 2017-08-02 02:45:55 EDT
Description of problem:
Currently OVEHOSTED_STORAGE/imgSizeGB is set to 50GB in the file /usr/share/cockpit/ovirt-dashboard/gdeploy-templates/he-common.conf and due to this HE deployment fails with the error message below.

2017-07-31 16:27:05 WARNING otopi.plugins.gr_he_common.vm.image image._disk_customization:172 Minimum requirements to fit the disk from the appliance OVF not met (required 5
8 GiB)
2017-07-31 16:27:05 DEBUG otopi.context context._executeMethod:142 method exception
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/otopi/context.py", line 132, in _executeMethod
    method['method']()
  File "/usr/share/ovirt-hosted-engine-setup/scripts/../plugins/gr-he-common/vm/image.py", line 175, in _disk_customization
    raise RuntimeError(msg)
RuntimeError: Minimum requirements to fit the disk from the appliance OVF not met (required 58 GiB)
2017-07-31 16:27:05 ERROR otopi.context context._executeMethod:151 Failed to execute stage 'Environment customization': Minimum requirements to fit the disk from the applian
ce OVF not met (required 58 GiB)

Version-Release number of selected component (if applicable):
cockpit-ovirt-dashboard-0.10.7-0.0.21.el7ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL7.4 and RHV 4.1.5
2. Configure gluster from cockpit
3. Configure HostedEngine from cockpit with the answer files being passed from gdeploy.

Actual results:
Hosted engine deployment fails with the error " Minimum requirements to fit the disk from the appliance OVF not met (required 58 GiB)"

Expected results:
Hosted Engine deployment should pass and for this to happen parameter  OVEHOSTED_STORAGE/imgSizeGB has to be removed from the file specified in description so that hosted-engine-setup will ask for this info during deployment and user can provide his input.

Additional info:
Comment 1 RamaKasturi 2017-08-14 03:33:09 EDT
verified and works fine with build cockpit-ovirt-dashboard-0.10.7-0.0.23.el7ev.noarch.

I see that the line OVEHOSTED_STORAGE/imgSizeGB has been removed from the file /usr/share/cockpit/ovirt-dashboard/gdeploy-templates/he-common.conf.

contents of file /usr/share/cockpit/ovirt-dashboard/gdeploy-templates/he-common.conf:
=============================================================================
[root@yarrow ~]# cat /usr/share/cockpit/ovirt-dashboard/gdeploy-templates/he-common.conf
[environment:default]
OVEHOSTED_NETWORK/bridgeName=str:ovirtmgmt
OVEHOSTED_NETWORK/firewallManager=str:
OVEHOSTED_ENGINE/insecureSSL=none:None
OVEHOSTED_ENGINE/clusterName=str:Default
OVEHOSTED_STORAGE/storageDatacenterName=str:hosted_datacenter
OVEHOSTED_STORAGE/domainType=str:glusterfs
OVEHOSTED_STORAGE/glusterBrick=none:None
OVEHOSTED_STORAGE/LunID=none:None
OVEHOSTED_STORAGE/iSCSIPortalIPAddress=none:None
OVEHOSTED_STORAGE/iSCSITargetName=none:None
OVEHOSTED_STORAGE/glusterProvisionedShareName=str:hosted_engine_glusterfs
OVEHOSTED_STORAGE/iSCSIPortalPort=none:None
OVEHOSTED_STORAGE/spUUID=str:00000000-0000-0000-0000-000000000000
OVEHOSTED_STORAGE/storageDomainName=str:hosted_storage
OVEHOSTED_STORAGE/glusterProvisioningEnabled=bool:False
OVEHOSTED_STORAGE/iSCSIPortal=none:None
OVEHOSTED_STORAGE/storageType=none:None
OVEHOSTED_STORAGE/vgUUID=none:None
OVEHOSTED_STORAGE/iSCSIPortalUser=none:None
OVEHOSTED_VDSM/consoleType=str:vnc
OVEHOSTED_VM/vmCDRom=none:None
OVEHOSTED_VM/automateVMShutdown=bool:True
OVEHOSTED_NETWORK/firewallManager=str:

Specifying the size of the VM disk in GB is being asked during hosted engine deployment. Attaching screenshot for the same.
Comment 2 RamaKasturi 2017-08-14 03:33 EDT
Created attachment 1312970 [details]
screenshot for the size of appliance
Comment 3 Sahina Bose 2017-08-22 05:57:59 EDT
/usr/share/cockpit/ovirt-dashboard/gdeploy-templates/he-common.conf - needs to be edited in earlier versions to remove the OVEHOSTED_STORAGE/imgSizeGB

Note You need to log in before you can comment on or make changes to this bug.